## com.crystaldecisions.sdk.occa.report.data
Class FieldDisplayNameType

    java.lang.Object
      com.crystaldecisions.sdk.occa.report.data.FieldDisplayNameType

public final class FieldDisplayNameType
extends java.lang.Object

This class contains constants that indicate how the name of the field is displayed. Not all fields supply different forms of its name. If a particular form is not available, its short name is returned.

Field Summary
`static int` | `_description` Some databases provide a description of a field.
`static int` | `_fieldName` The field's name without its prefix.
`static int` | `_formulaName` The name as it could be used in a formula.
`static int` | `_headingText` The name of the field as it would appear as the heading of a column.
`static int` | `_longName` The fully qualified field name.
`static int` | `_shortName` The field's name including the prefix indicating what kind of field it is.
`static FieldDisplayNameType` | `description` Some databases provide a description of a field.
`static FieldDisplayNameType` | `fieldName` The field's name without its prefix.
`static FieldDisplayNameType` | `formulaName` The name as it could be used in a formula.
`static FieldDisplayNameType` | `headingText` The name of the field as it would appear as the heading of a column.
`static FieldDisplayNameType` | `longName` The fully qualified field name.
`static FieldDisplayNameType` | `shortName` The field's name including the prefix indicating what kind of field it is.

Method Summary
`static FieldDisplayNameType` | `from_int(int i)` Returns the `FieldDisplayNameType` corresponding to the specified `int`.
`int` | `value()` Returns the value of this `FieldDisplayNameType` object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _fieldName

    public static final int _fieldName

  The field's name without its prefix. For a `DBFields` object, this will be equivalent to its short name.

  See Also:
    Constant Field Values

### _shortName

    public static final int _shortName

  The field's name including the prefix indicating what kind of field it is. Formula fields are prefixed with @. SQL Expression Fields are prefixed with %. Parameter fields are prefixed with ?. Running total fields are prefixed with #.

  See Also:
    Constant Field Values

### _longName

    public static final int _longName

  The fully qualified field name.

  See Also:
    Constant Field Values

### _description

    public static final int _description

  Some databases provide a description of a field. If there is no description for the field the method returns an empty string.

  See Also:
    Constant Field Values

### _formulaName

    public static final int _formulaName

  The name as it could be used in a formula.

  See Also:
    Constant Field Values

### _headingText

    public static final int _headingText

  The name of the field as it would appear as the heading of a column.

  See Also:
    Constant Field Values

### fieldName

    public static final FieldDisplayNameType fieldName

  The field's name without its prefix. For a `DBFields` object, this will be equivalent to its short name.

### shortName

    public static final FieldDisplayNameType shortName

  The field's name including the prefix indicating what kind of field it is. Formula fields are prefixed with @. SQL Expression Fields are prefixed with %. Parameter fields are prefixed with ?. Running total fields are prefixed with #.

### longName

    public static final FieldDisplayNameType longName

  The fully qualified field name.

### description

    public static final FieldDisplayNameType description

  Some databases provide a description of a field. If there is no description for the field the method returns an empty string.

### formulaName

    public static final FieldDisplayNameType formulaName

  The name as it could be used in a formula.

### headingText

    public static final FieldDisplayNameType headingText

  The name of the field as it would appear as the heading of a column.

Method Detail

### from_int

    public static final FieldDisplayNameType from_int(int i)

  Returns the `FieldDisplayNameType` corresponding to the specified `int`.

  Parameters:
    `i` - The `int` value of the desired `FieldDisplayNameType`.
  Returns:
    The `FieldDisplayNameType` corresponding to the specified `int`.

### value

    public int value()

  Returns the value of this `FieldDisplayNameType` object.

  Returns:
    An `int` that specifies the value of this `FieldDisplayNameType` object.